<?php
/*
** Zabbix
** Copyright (C) 2001-2015 Zabbix SIA
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/


/* WIDGET - CELA STRANKA*/
$forwardWidget = (new CWidget())->setTitle(_('Event Forwarding Configuration'));

/* TABY PRES CELOU STRANKU */
$forwardTab = new CTabView();

	/* OBSAH TABU "RELP" */
	/* DIV s obsahem tabu RELP */
	$syslogDiv = new CDiv();

	//$relpDiv->addItem((new CTag('h4',true,_('RELP Configuration'))));

	//$webDiv->addItem((new CDiv(_('SSL certificate is used to secure communications between the web browser and the server. Here you can upload a new certificate, usually certificate signed by a trusted certificate authority. Imported certificate can be in the PFX / PKCS#12 format or in PEM format. The web server configuration change occurs within 10 seconds after uploading the certificates. You can also view details of the current certificate.'))));
	$syslogDiv->addItem((new CTag('br')));


	$syslogForm = new CForm('post', null);

	$syslogFormFormList = (new CFormList());
	
	$syslogFormFormList = (new CFormList());
	$syslogFormFormList->addRow(_('Enable Syslog Forwarding'), (new CCheckBox('forwardsyslogenable'))
		->setChecked($data['syslog']['enabled'] == true)
		->onClick('javascript: if(this.checked){document.getElementById("syslogFormConfigFormList").style.display="table";}else{document.getElementById("syslogFormConfigFormList").style.display="none";};')
	);
	$syslogFormConfigFormList = (new CFormList())
		->setAttribute('id', 'syslogFormConfigFormList');
	if($data['syslog']['enabled'] == false){$syslogFormConfigFormList->setAttribute('style', 'display:none;');}	

	$syslogProtocol = (new CRadioButtonList('forwardsyslogprotocol', (int) $data['syslog']['protocol']))
			->addValue(_('UDP'), 0)
			->addValue(_('TCP'), 1)
			->setModern(true);
			
	$syslogFormConfigFormList->addRow(_('Syslog protocol'),	$syslogProtocol);
	$syslogFormConfigFormList->addRow(_('Syslog port'),	(new CTextBox('forwardsyslogport', $data['syslog']['port'], false, ZBX_TEXTAREA_STANDARD_WIDTH))->addStyle('width: 15em'));
	$syslogFormConfigFormList->addRow(_('Syslog host'),	(new CTextBox('forwardsysloghost', $data['syslog']['host'], false, ZBX_TEXTAREA_STANDARD_WIDTH))->addStyle('width: 15em'));
	
	

	$syslogForm->addItem($syslogFormFormList);
	$syslogForm->addItem($syslogFormConfigFormList);
	
	$syslogForm->addItem(new CTag('br'));
	$syslogForm->addItem(makeFormFooter(
		new CSubmit('update', _('Update')),
		[new CRedirectButton(_('Cancel'), $data['backurl'])]
	));	
	
	$syslogDiv->addItem($syslogForm);


	$forwardTab->addTab('syslog', _('Syslog Configuration'), $syslogDiv);



//dalsi TAB
//$sslTab->addTab('web2', _('Web SSL 2'), null);





// append form to widget
$forwardWidget->addItem($forwardTab);

return $forwardWidget;
