<?php
/*
** Zabbix
** Copyright (C) 2001-2015 Zabbix SIA
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/


/* WIDGET - CELA STRANKA*/
$syslogWidget = (new CWidget())->setTitle(_('ELISA Syslog Configuration'));

/* TABY PRES CELOU STRANKU */
$syslogTab = new CTabView();

	/* OBSAH TABU "RELP" */
	/* DIV s obsahem tabu RELP */
	$relpDiv = new CDiv();

	//$relpDiv->addItem((new CTag('h4',true,_('RELP Configuration'))));

	//$webDiv->addItem((new CDiv(_('SSL certificate is used to secure communications between the web browser and the server. Here you can upload a new certificate, usually certificate signed by a trusted certificate authority. Imported certificate can be in the PFX / PKCS#12 format or in PEM format. The web server configuration change occurs within 10 seconds after uploading the certificates. You can also view details of the current certificate.'))));
	$relpDiv->addItem((new CTag('br')));


	$relpForm = new CForm('post', null);

	$relp01FormList = (new CFormList());
	$relp01FormList->addRow(_('Enable RELP'), (new CCheckBox('relp01enable'))
		->setChecked($data['relp01']['enabled'] == true)
		->onClick('javascript: if(this.checked){document.getElementById("relp01portFormList").style.display="table";}else{document.getElementById("relp01portFormList").style.display="none";};')
	);
	$relp01portFormList = (new CFormList())
		->setAttribute('id', 'relp01portFormList');
	$relp01portFormList->addRow(_('RELP port'),	(new CTextBox('relp01port', $data['relp01']['port'], false, ZBX_TEXTAREA_STANDARD_WIDTH))->addStyle('width: 10em'));
	if($data['relp01']['enabled'] == false){$relp01portFormList->setAttribute('style', 'display:none;');}	

	$relp02FormList = (new CFormList());
	$relp02FormList->addRow(_('Enable RELP over TLS'), (new CCheckBox('relp02enable'))
		->setChecked($data['relp02']['enabled'] == true)
		->onClick('javascript: if(this.checked){document.getElementById("relp02portFormList").style.display="table";}else{document.getElementById("relp02portFormList").style.display="none";};')
	);
	$relp02portFormList = (new CFormList())
		->setAttribute('id', 'relp02portFormList');
	$relp02portFormList->addRow(_('RELP over TLS port'),	(new CTextBox('relp02port', $data['relp02']['port'], false, ZBX_TEXTAREA_STANDARD_WIDTH))->addStyle('width: 10em'));
	if($data['relp02']['enabled'] == false){$relp02portFormList->setAttribute('style', 'display:none;');}	


	$relpForm->addItem($relp01FormList);
	$relpForm->addItem($relp01portFormList);
	//$relpForm->addItem(new CTag('br'));
	$relpForm->addItem($relp02FormList);
	$relpForm->addItem($relp02portFormList);
	$relpForm->addItem(new CTag('br'));
	$relpForm->addItem(makeFormFooter(
		new CSubmit('update', _('Update')),
		[new CRedirectButton(_('Cancel'), $data['backurl'])]
	));
	
	$relpDiv->addItem($relpForm);


	$syslogTab->addTab('relp', _('RELP Configuration'), $relpDiv);



//dalsi TAB
//$sslTab->addTab('web2', _('Web SSL 2'), null);





// append form to widget
$syslogWidget->addItem($syslogTab);

return $syslogWidget;
